<?php
/**
* @version		$Id: helper.php 10868 2008-08-30 07:22:26Z willebil $
* @package		Joomla
* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* Joomla! is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/

// no direct access
defined('_JEXEC') or die('Restricted access');
 
require_once (JPATH_SITE.DS.'components'.DS.'com_content'.DS.'helpers'.DS.'route.php');

class mods5spotlightHelper
{
	function renderItem(&$item, &$params, &$access)
	{
		global $mainframe;
		$mainframe = JFactory::getApplication();
		$user 	=& JFactory::getUser(); 

		$item->text 	= JHtml::_('content.prepare', $item->introtext);
		$item->groups 	= '';
		$item->readmore = (trim($item->text ) != '');
		$item->metadesc = '';
		$item->metakey 	= '';
		$item->modified = '';
		
		$item->slug = $item->id.':'.$item->alias;
		$item->catslug = $item->catid.':'.$item->category_alias;


				 
					$item->linkOn = JRoute::_(ContentHelperRoute::getArticleRoute($item->slug, $item->catslug));
					$item->linkText = JText::_('Read more text');
				 
	

		if (!$params->get('image')) {
			$item->text = preg_replace( '/<img[^>]*>/', '', $item->text );
		}
		

		$results = $mainframe->triggerEvent('onAfterDisplayTitle', array (&$item, &$params, 1));
		$item->afterDisplayTitle = trim(implode("\n", $results));

		$results = $mainframe->triggerEvent('onBeforeDisplayContent', array (&$item, &$params, 1));
		$item->beforeDisplayContent = trim(implode("\n", $results));

		require(JModuleHelper::getLayoutPath('mod_s5_spotlight_news', '_item'));
	}

	function getList(&$params, &$access)
	{
		global $mainframe;
		$mainframe = JFactory::getApplication();
		$db 	=& JFactory::getDBO();
		$user 	=& JFactory::getUser();
		$aid	= $user->get('aid', 0);

		$catid 	= (int) $params->get('catid', 0);
		$items 	= (int) $params->get('items', 0);
		
			// Get the dbo
		$db = JFactory::getDbo();

		// Get an instance of the generic articles model
		$model = JModel::getInstance('Articles', 'ContentModel', array('ignore_request' => true));

		// Set application parameters in model
		$app = JFactory::getApplication();
		$appParams = $app->getParams();
		$model->setState('params', $appParams);

		// Set the filters based on the module params
		$model->setState('list.start', 0);
		$model->setState('list.limit', $items);
		$model->setState('filter.published', 1);

		// Access filter
		$access = !JComponentHelper::getParams('com_content')->get('show_noauth');
		$authorised = JAccess::getAuthorisedViewLevels(JFactory::getUser()->get('id'));
		$model->setState('filter.access', $access);

		// Category filter
		$model->setState('filter.category_id', $params->get('catid', array()));

		// User filter
		$userId = JFactory::getUser()->get('id');
		 

		// Filter by language
		$model->setState('filter.language',$app->getLanguageFilter());

		 
 
		$ordering = JArrayHelper::getValue($order_map, 'a.ordering');
		$dir = 'ASC';

		$model->setState('list.ordering', $ordering);
		$model->setState('list.direction', $dir);

		$rows = $model->getItems();
 
	 
		return $rows;
	}
}



class mods5spotlightHelper_others
{
	function renderItem(&$item, &$params, &$access)
	{
				global $mainframe;
		$mainframe = JFactory::getApplication();
		$user 	=& JFactory::getUser(); 

		$item->text 	= JHtml::_('content.prepare', $item->introtext);
		$item->groups 	= '';
		$item->readmore = (trim($item->text ) != '');
		$item->metadesc = '';
		$item->metakey 	= '';
		$item->modified = '';
		
		$item->slug = $item->id.':'.$item->alias;
		$item->catslug = $item->catid.':'.$item->category_alias;


				 
					$item->linkOn = JRoute::_(ContentHelperRoute::getArticleRoute($item->slug, $item->catslug));
					$item->linkText = JText::_('Read more text');


		if (!$params->get('image')) {
			$item->text = preg_replace( '/<img[^>]*>/', '', $item->text );
		}
		

		$results = $mainframe->triggerEvent('onAfterDisplayTitle', array (&$item, &$params, 1));
		$item->afterDisplayTitle = trim(implode("\n", $results));

		$results = $mainframe->triggerEvent('onBeforeDisplayContent', array (&$item, &$params, 1));
		$item->beforeDisplayContent = trim(implode("\n", $results));

		require(JModuleHelper::getLayoutPath('mod_s5_spotlight_news', '_item_others'));
	}

	function getList(&$params, &$access)
	{
		global $mainframe;
		$mainframe = JFactory::getApplication();
		$db 	=& JFactory::getDBO();
		$user 	=& JFactory::getUser();
		$aid	= $user->get('aid', 0);

		$catid 	= (int) $params->get('catid', 0);
		$items 	= (int) $params->get('items', 0);
		
			// Get the dbo
		$db = JFactory::getDbo();

		// Get an instance of the generic articles model
		$model = JModel::getInstance('Articles', 'ContentModel', array('ignore_request' => true));

		// Set application parameters in model
		$app = JFactory::getApplication();
		$appParams = $app->getParams();
		$model->setState('params', $appParams);

		// Set the filters based on the module params
		$model->setState('list.start', 0);
		$model->setState('list.limit', $items);
		$model->setState('filter.published', 1);

		// Access filter
		$access = !JComponentHelper::getParams('com_content')->get('show_noauth');
		$authorised = JAccess::getAuthorisedViewLevels(JFactory::getUser()->get('id'));
		$model->setState('filter.access', $access);

		// Category filter
		$model->setState('filter.category_id', $params->get('catid', array()));

		// User filter
		$userId = JFactory::getUser()->get('id');
		 

		// Filter by language
		$model->setState('filter.language',$app->getLanguageFilter());

		 
 
		$ordering = JArrayHelper::getValue($order_map, 'a.ordering');
		$dir = 'ASC';

		$model->setState('list.ordering', $ordering);
		$model->setState('list.direction', $dir);

		$rows = $model->getItems();

 
		return $rows;
	}
}






class mods5spotlightHelper_last
{
	function renderItem(&$item, &$params, &$access)
	{
				global $mainframe;
		$mainframe = JFactory::getApplication();
		$user 	=& JFactory::getUser(); 

		$item->text 	= JHtml::_('content.prepare', $item->introtext);
		$item->groups 	= '';
		$item->readmore = (trim($item->text ) != '');
		$item->metadesc = '';
		$item->metakey 	= '';
		$item->modified = '';
		
		$item->slug = $item->id.':'.$item->alias;
		$item->catslug = $item->catid.':'.$item->category_alias;


				 
					$item->linkOn = JRoute::_(ContentHelperRoute::getArticleRoute($item->slug, $item->catslug));
					$item->linkText = JText::_('Read more text');
				 


		if (!$params->get('image')) {
			$item->text = preg_replace( '/<img[^>]*>/', '', $item->text );
		}
		

		$results = $mainframe->triggerEvent('onAfterDisplayTitle', array (&$item, &$params, 1));
		$item->afterDisplayTitle = trim(implode("\n", $results));

		$results = $mainframe->triggerEvent('onBeforeDisplayContent', array (&$item, &$params, 1));
		$item->beforeDisplayContent = trim(implode("\n", $results));

		require(JModuleHelper::getLayoutPath('mod_s5_spotlight_news', '_item_last'));
	}

	function getList(&$params, &$access)
	{
		global $mainframe;
		$mainframe = JFactory::getApplication();
		$db 	=& JFactory::getDBO();
		$user 	=& JFactory::getUser();
		$aid	= $user->get('aid', 0);

		$catid 	= (int) $params->get('catid', 0);
		$items 	= (int) $params->get('items', 0);
		
			// Get the dbo
		$db = JFactory::getDbo();

		// Get an instance of the generic articles model
		$model = JModel::getInstance('Articles', 'ContentModel', array('ignore_request' => true));

		// Set application parameters in model
		$app = JFactory::getApplication();
		$appParams = $app->getParams();
		$model->setState('params', $appParams);

		// Set the filters based on the module params
		$model->setState('list.start', 0);
		$model->setState('list.limit', $items);
		$model->setState('filter.published', 1);

		// Access filter
		$access = !JComponentHelper::getParams('com_content')->get('show_noauth');
		$authorised = JAccess::getAuthorisedViewLevels(JFactory::getUser()->get('id'));
		$model->setState('filter.access', $access);

		// Category filter
		$model->setState('filter.category_id', $params->get('catid', array()));

		// User filter
		$userId = JFactory::getUser()->get('id');
		 

		// Filter by language
		$model->setState('filter.language',$app->getLanguageFilter());

		 
 
		$ordering = JArrayHelper::getValue($order_map, 'a.ordering');
		$dir = 'ASC';

		$model->setState('list.ordering', $ordering);
		$model->setState('list.direction', $dir);

		$rows = $model->getItems();
 
	 
		return $rows;
	}
}
